## lxqt-session 0.9.0+20150807

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-session)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)

find_package(KF5WindowSystem REQUIRED)
find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
find_package(Qt5X11Extras REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)

find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

find_package(PkgConfig REQUIRED QUIET)
pkg_check_modules(XCB REQUIRED xcb)
find_package(X11 REQUIRED)

add_subdirectory(lxqt-session)
add_subdirectory(lxqt-config-session)
add_subdirectory(lxqt-leave)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== lxqt-config-session/CMakeLists.txt ===
project(lxqt-config-session)


set(lxqt-sessioncfg_HDRS
    sessionconfigwindow.h
    basicsettings.h
    modulemodel.h
    autostartpage.h
    autostartmodel.h
    autostartitem.h
    autostartedit.h
    defaultappspage.h
    environmentpage.h
)

set(lxqt-sessioncfg_SRCS
    main.cpp
    sessionconfigwindow.cpp
    basicsettings.cpp
    modulemodel.cpp
    autostartpage.cpp
    autostartmodel.cpp
    autostartitem.cpp
    autostartedit.cpp
    defaultappspage.cpp
    environmentpage.cpp
    ../lxqt-session/src/windowmanager.cpp
)

set(lxqt-sessioncfg_UI_FILES
    basicsettings.ui
    autostartpage.ui
    autostartedit.ui
    defaultappspage.ui
    environmentpage.ui
)

# Translations
lxqt_translate_ts(lxqt-sessioncfg_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-sessioncfg_HDRS}
        ${lxqt-sessioncfg_SRCS}
        ${lxqt-sessioncfg_UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(lxqt-sessioncfg_DESKTOP_FILES SOURCES lxqt-config-session.desktop.in)

add_executable(lxqt-config-session
    ${lxqt-sessioncfg_SRCS}
    ${lxqt-sessioncfg_DESKTOP_FILES}
    ${lxqt-sessioncfg_QM_FILES}
    ${lxqt-sessioncfg_QM_LOADER})

target_link_libraries(lxqt-config-session
    KF5::WindowSystem
    Qt5::Widgets
    Qt5::DBus
    Qt5::X11Extras
    lxqt
)

INSTALL(TARGETS
    lxqt-config-session
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

install(FILES
        ${lxqt-sessioncfg_DESKTOP_FILES}
    DESTINATION
         "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-session/CMakeLists.txt ===
project(lxqt-session)

if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
endif()

if(NOT DEFINED LIBUDEV_MONITOR OR LIBUDEV_MONITOR)
    set(LIBUDEV_MONITOR Yes)

    find_package(PkgConfig)
    pkg_check_modules(LIBUDEV REQUIRED libudev)

    add_definitions(-DWITH_LIBUDEV_MONITOR)
endif()

include_directories(
    ${XCB_INCLUDE_DIRS}
    ${X11_INCLUDE_DIR}
)
if(LIBUDEV_MONITOR)
    include_directories(${LIBUDEV_INCLUDE_DIRS})
endif()

set(lxqt-session_HDRS "")

set(lxqt-session_SRCS
    src/main.cpp
    src/lxqtmodman.cpp
    src/wmselectdialog.cpp
    src/windowmanager.cpp
    src/sessionapplication.cpp
    src/sessiondbusadaptor.h
)
if(LIBUDEV_MONITOR)
    list(APPEND lxqt-session_SRCS src/UdevNotifier.cpp)
endif()

set(lxqt-session_UI
    src/wmselectdialog.ui
)

# Translations
lxqt_translate_ts(lxqt-session_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-session_HDRS}
        ${lxqt-session_SRCS}
        ${lxqt-session_UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)
lxqt_app_translation_loader(lxqt-session_QM_LOADER ${PROJECT_NAME})

add_executable(lxqt-session
    ${lxqt-session_SRCS}
    ${RSCS}
    ${lxqt-session_QM_FILES}
    ${lxqt-session_QM_LOADER}
)

target_link_libraries(lxqt-session
    Qt5::Widgets
    Qt5::DBus
    Qt5::X11Extras
    ${XCB_LIBRARIES}
    ${X11_LIBRARIES}
    lxqt
    KF5::WindowSystem
)
if(LIBUDEV_MONITOR)
    target_link_libraries(lxqt-session ${LIBUDEV_LIBRARIES})
endif()

INSTALL(TARGETS
    lxqt-session
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-session (0.9.0+20150807-2) unstable; urgency=medium

  * rename lxqt-session.manpages to manpages 
  * allow build on non-linux platforms (Thanks Pino Toscano)
    (Closes: #803656) 
  * Added lintian-overrides for invalid category
  * fix some wording of debian/copyright
  * Fixed some copyright dates

 -- Alf Gaida <agaida@siduction.org>  Thu, 12 Nov 2015 20:06:24 +0100

lxqt-session (0.9.0+20150807-1) unstable; urgency=low

  * Initial release (Closes: #747608)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 12 Sep 2015 00:05:13 +0800

=== debian/control ===
Source: lxqt-session
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libudev-dev [linux-any],
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-session.git
Homepage: https://github.com/lxde/lxqt-session

Package: lxqt-session
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         x11-xkb-utils
Pre-Depends: lxqt-common
Provides: x-session-manager
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

Package: lxqt-session-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         lxqt-session (= ${binary:Version})
Description: session manager component for LXQt (debug symbols)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies. It has been tailored for users who value simplicity,
 speed, and an intuitive interface. Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the debugging symbols.

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-session/releases .*/([\d\.]+).tar.gz

## lxqt-session 0.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,4 +39,3 @@
 set(CPACK_SOURCE_GENERATOR TBZ2)
 set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
 include(CPack)
-

=== lxqt-config-session/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,10 @@
     autostartmodel.h
     autostartitem.h
     autostartedit.h
+    autostartutils.h
     defaultappspage.h
     environmentpage.h
+    userlocationspage.h
 )
 
 set(lxqt-sessioncfg_SRCS
@@ -22,8 +24,10 @@
     autostartmodel.cpp
     autostartitem.cpp
     autostartedit.cpp
+    autostartutils.cpp
     defaultappspage.cpp
     environmentpage.cpp
+    userlocationspage.cpp
     ../lxqt-session/src/windowmanager.cpp
 )
 
@@ -76,3 +80,8 @@
          "${CMAKE_INSTALL_DATAROOTDIR}/applications"
     COMPONENT Runtime
 )
+install(FILES
+    man/lxqt-config-session.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)

=== lxqt-leave/CMakeLists.txt ===
project(lxqt-leave)

set(CPP_FILES
    main.cpp
    leavedialog.cpp
)

set(H_FILES
    leavedialog.h
)

set(UI_FILES
    leavedialog.ui
)


# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    resources/lxqt-leave.desktop.in
    resources/lxqt-hibernate.desktop.in
    resources/lxqt-lockscreen.desktop.in
    resources/lxqt-logout.desktop.in
    resources/lxqt-reboot.desktop.in
    resources/lxqt-shutdown.desktop.in
    resources/lxqt-suspend.desktop.in
)

lxqt_translate_ts(lxqt-leave_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${CPP_FILES}
        ${UI_FILES}
        ${H_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${PROJECT_NAME})
#************************************************


add_executable(lxqt-leave
    ${CPP_FILES}
    ${DESKTOP_FILES}
    ${lxqt-leave_QM_LOADER}
    ${lxqt-leave_QM_FILES}
)

target_link_libraries(lxqt-leave
    lxqt
)

install(TARGETS
    lxqt-leave
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES} DESTINATION
    "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    resources/lxqt-leave.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-session/CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,12 @@
    set(CMAKE_BUILD_TYPE Release)
 endif()
 
-if(NOT DEFINED LIBUDEV_MONITOR OR LIBUDEV_MONITOR)
+if(LIBUDEV_MONITOR)
     set(LIBUDEV_MONITOR Yes)
 
     find_package(PkgConfig)
     pkg_check_modules(LIBUDEV REQUIRED libudev)
+    include_directories(${LIBUDEV_INCLUDE_DIRS})
 
     add_definitions(-DWITH_LIBUDEV_MONITOR)
 endif()
@@ -30,6 +31,8 @@
     src/windowmanager.cpp
     src/sessionapplication.cpp
     src/sessiondbusadaptor.h
+    src/numlock.cpp
+    src/numlock.h
 )
 if(LIBUDEV_MONITOR)
     list(APPEND lxqt-session_SRCS src/UdevNotifier.cpp)
@@ -63,13 +66,13 @@
     Qt5::Widgets
     Qt5::DBus
     Qt5::X11Extras
-    ${XCB_LIBRARIES}
-    ${X11_LIBRARIES}
+    ${XCB_LDFLAGS}
+    X11
     lxqt
     KF5::WindowSystem
 )
 if(LIBUDEV_MONITOR)
-    target_link_libraries(lxqt-session ${LIBUDEV_LIBRARIES})
+    target_link_libraries(lxqt-session ${LIBUDEV_LDFLAGS})
 endif()
 
 INSTALL(TARGETS
@@ -77,3 +80,8 @@
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )
+install(FILES
+    man/lxqt-session.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)

=== debian/changelog ===
lxqt-session (0.10.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental. Ubuntu remaining changes:
  * debian/postinst & debian/prerm
   - Use lxqt-session directly, so lxqt-common is not a hard dependency.
  * debian/control:
   - Remove Pre-Depends on lxqt-common.

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 14 Nov 2015 17:29:19 +0100

lxqt-session (0.10.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.10.0.
  * set new minimum version for liblxqt

 -- Alf Gaida <agaida@siduction.org>  Wed, 04 Nov 2015 21:46:21 +0100

lxqt-session (0.9.0+20151031-2) experimental; urgency=medium

  * rename lxqt-session.manpages to manpages 
  * allow build on non-linux platforms (Thanks Pino Toscano)
    (Closes: #803656) 

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Nov 2015 19:39:39 +0100

lxqt-session (0.9.0+20151031-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.9.0+20151031.
  * set new minimal versions for liblxqt and libqtxdg
  * Added upstream signing key and use it in watch file
  * Added lintian-overrides for invalid category
  * fix some wording of debian/copyright
  * Fixed some copyright dates

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Oct 2015 13:00:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-session
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -8,9 +9,9 @@
 Build-Depends: debhelper (>= 9),
                cmake (>= 3.0.2),
                libkf5windowsystem-dev,
-               liblxqt0-dev,
+               liblxqt0-dev (>= 0.10.0),
                libqt5x11extras5-dev,
-               libqt5xdg-dev,
+               libqt5xdg-dev (>= 1.3.0),
                libudev-dev [linux-any],
                libx11-dev,
                pkg-config,
@@ -26,7 +27,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          x11-xkb-utils
-Pre-Depends: lxqt-common
 Provides: x-session-manager
 Description: session manager component for LXQt
  LXQt is an advanced, easy-to-use, and fast desktop environment based on

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifneq ($(DEB_HOST_ARCH_OS),linux)
  CMAKE_ARGS += -DLIBUDEV_MONITOR=OFF
endif

%:
	dh ${@} --buildsystem cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_ARGS)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-session

override_dh_strip:
	dh_strip --dbg-package=lxqt-session-dbg

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-session/releases .*/([\d\.]+).tar.gz

## lxqt-session 0.11.0

=== debian/changelog ===
lxqt-session (0.11.0-2ubuntu1) zesty; urgency=medium

  * Sync with Debian (LP: #1635701). Remaining changes:
    - debian/control: Don't depend on lxqt-common
    - debian/postinst & debian/prerm
      + Use lxqt-session directly, so lxqt-common is not a hard dependency.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Dec 2016 11:37:32 -0500

lxqt-session (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped build dependency debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped minimum version liblxqt-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqtxdgiconloader-dev
  * Added build dependency xdg-user-dirs
  * Move Pre-Depends lxqt-common to Depends 
  * Added Depends x11-xkb-utils
  * Added Recommends lxqt-session-l10n
  * Fixed copyrights Format field to https
  * Fixed VCS fields, using plain /git/
  * Fixed VCS fields, point to the right branch 
  * Added new files and license to copyright
  * Changed LIBUDEV_MONITOR to WITH_LIBUDEV
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 18:14:53 +0200

lxqt-session (0.10.0-4) unstable; urgency=medium

  * turn LIBUDEV_MONITOR on for linux, thanks RalfJ
  * Fix years in copyright
  * Bump Standards to 3.9.7
  * Use secure VCS-Fields 
  * Added hardening=+all 

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 Mar 2016 18:46:14 +0100

lxqt-session (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 23:31:49 +0100

lxqt-session (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set new minimum version for liblxqt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 19 Nov 2015 23:59:38 +0800

=== debian/control ===
Source: lxqt-session
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libudev-dev [linux-any],
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools,
               xdg-user-dirs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-session.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-session

Package: lxqt-session
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
#         lxqt-common,
         x11-xkb-utils
Recommends: lxqt-session-l10n
Provides: x-session-manager
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CMAKE_ARGS += -DWITH_LIBUDEV=ON
else
    CMAKE_ARGS += -DWITH_LIBUDEV=OFF
endif

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo\
		$(CMAKE_ARGS)

## lxqt-session 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-session)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_LIBUDEV "Build with libudev support" ON)

find_package(X11 REQUIRED)

find_package(Qt5DBus REQUIRED)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5X11Extras REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")

find_package(KF5WindowSystem REQUIRED)

find_package(lxqt REQUIRED)

# Please don't move, must be after lxqt
find_package(XdgUserDirs REQUIRED)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(lxqt-session)
add_subdirectory(lxqt-config-session)
add_subdirectory(lxqt-leave)

=== lxqt-leave/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,16 @@
         ${H_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-session/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${PROJECT_NAME})

=== debian/changelog ===
lxqt-session (0.11.1-2) unstable; urgency=medium

  * Recommend a screen-saver:
    xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
    (Closes: #824857)

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 18:52:28 +0100

lxqt-session (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright
  * Removed deleted files and BSD-License from d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 16:41:12 +0100

=== debian/control ===
Source: lxqt-session
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.1),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libudev-dev [linux-any],
               libx11-dev,
               xdg-user-dirs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-session.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-session

Package: lxqt-session
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-common,
         x11-xkb-utils
Recommends: lxqt-session-l10n,
            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
Provides: x-session-manager
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-session/releases .*/lxqt-session-([\d\.]+).tar.xz

## lxqt-session 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,10 @@
 find_package(X11 REQUIRED)
 
 find_package(Qt5DBus REQUIRED)
-find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5LinguistTools REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5X11Extras REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 find_package(KF5WindowSystem REQUIRED)
 
@@ -28,6 +28,16 @@
 
 # Please don't move, must be after lxqt
 find_package(XdgUserDirs REQUIRED)
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Patch Version
+set(LXQT_SESSION_PATCH_VERSION 0)
+
+set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
+add_definitions("-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\"")
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
@@ -37,3 +47,32 @@
 add_subdirectory(lxqt-session)
 add_subdirectory(lxqt-config-session)
 add_subdirectory(lxqt-leave)
+
+# merged from lxqt-common
+include(LXQtConfigVars)
+
+# startlxqt script
+set(PREDEF_XDG_DATA_DIRS "$XDG_DATA_HOME")
+if(NOT("${LXQT_DATA_DIR}" MATCHES "^/usr(/local)?/share$"))
+    set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:${LXQT_DATA_DIR}")
+endif()
+set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
+configure_file(startlxqt.in startlxqt @ONLY)
+install(PROGRAMS
+    "${CMAKE_CURRENT_BINARY_DIR}/startlxqt"
+    DESTINATION "${CMAKE_INSTALL_BINDIR}"
+    COMPONENT Runtime
+)
+install(FILES
+    startlxqt.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)
+
+# default config files
+add_subdirectory(config)
+add_subdirectory(autostart)
+
+# xsession *.desktop file for display managers
+add_subdirectory(xsession)
+

=== autostart/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxqt_sesstion_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== config/CMakeLists.txt ===
# install default config files to /etc/xdg
install(FILES
    lxqt.conf
    session.conf
    windowmanagers.conf
    DESTINATION "${LXQT_ETC_XDG_DIR}/lxqt"
    COMPONENT Runtime
)
install(DIRECTORY openbox
    DESTINATION "${LXQT_ETC_XDG_DIR}"
    COMPONENT Runtime
)

=== lxqt-config-session/CMakeLists.txt ===
--- 
+++ 
@@ -49,6 +49,16 @@
         ${lxqt-sessioncfg_UI_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-session/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${PROJECT_NAME})

=== lxqt-leave/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,12 @@
 set(CPP_FILES
     main.cpp
     leavedialog.cpp
+    listwidget.cpp
 )
 
 set(H_FILES
     leavedialog.h
+    listwidget.h
 )
 
 set(UI_FILES

=== lxqt-session/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,19 @@
+cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
 project(lxqt-session)
 
 if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
 endif()
 
-if(LIBUDEV_MONITOR)
-    set(LIBUDEV_MONITOR Yes)
-
-    find_package(PkgConfig)
-    pkg_check_modules(LIBUDEV REQUIRED libudev)
-    include_directories(${LIBUDEV_INCLUDE_DIRS})
-
+if (WITH_LIBUDEV)
+    find_package(UDev REQUIRED)
+    include_directories(${LIBUDEV_INCLUDE_DIR})
     add_definitions(-DWITH_LIBUDEV_MONITOR)
 endif()
 
 include_directories(
-    ${XCB_INCLUDE_DIRS}
     ${X11_INCLUDE_DIR}
 )
-if(LIBUDEV_MONITOR)
-    include_directories(${LIBUDEV_INCLUDE_DIRS})
-endif()
 
 set(lxqt-session_HDRS "")
 
@@ -31,10 +24,13 @@
     src/windowmanager.cpp
     src/sessionapplication.cpp
     src/sessiondbusadaptor.h
+    src/lockscreenmanager.cpp
+    src/lockscreenmanager.h
     src/numlock.cpp
     src/numlock.h
+    src/log.cpp
 )
-if(LIBUDEV_MONITOR)
+if (WITH_LIBUDEV)
     list(APPEND lxqt-session_SRCS src/UdevNotifier.cpp)
 endif()
 
@@ -52,6 +48,16 @@
         ${lxqt-session_UI}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-session/${PROJECT_NAME}"
 )
 lxqt_app_translation_loader(lxqt-session_QM_LOADER ${PROJECT_NAME})
 
@@ -66,13 +72,13 @@
     Qt5::Widgets
     Qt5::DBus
     Qt5::X11Extras
-    ${XCB_LDFLAGS}
-    X11
     lxqt
+    ${X11_LIBRARIES}
     KF5::WindowSystem
 )
-if(LIBUDEV_MONITOR)
-    target_link_libraries(lxqt-session ${LIBUDEV_LDFLAGS})
+
+if (WITH_LIBUDEV)
+    target_link_libraries(lxqt-session ${UDEV_LIBS})
 endif()
 
 INSTALL(TARGETS

=== debian/changelog ===
lxqt-session (0.12.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 22:58:32 +0100

lxqt-session (0.12.0-4) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 00:29:14 +0100

lxqt-session (0.12.0-3) experimental; urgency=medium

  * Added upstream pull request for moving upstream configurations
    to /usr/share/lxqt (Closes: #883033)

 -- Alf Gaida <agaida@siduction.org>  Fri, 01 Dec 2017 21:54:55 +0100

lxqt-session (0.12.0-2) experimental; urgency=medium

  * Added upstream pull request for improved xdg handling (Closes: #883032).

 -- Alf Gaida <agaida@siduction.org>  Fri, 01 Dec 2017 21:53:35 +0100

lxqt-session (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt dependency to >= 0.12.0
  * Breaks and Replaces lxqt-common << 0.12.0
  * Added dependency to lxqt-themes | lxqt-theme instead

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 21:17:51 +0200

lxqt-session (0.11.1-6) unstable; urgency=medium

  * Moved lxqt-qtplugin to dependencies (Closes: #870138)

 -- Alf Gaida <agaida@siduction.org>  Sun, 06 Aug 2017 00:09:36 +0200

lxqt-session (0.11.1-5) unstable; urgency=medium

  * Fixed qps dependency to [linux-any] (Closes: #842649)
  * Recommends lxqt-notificationd (Closes: #866887)
  * Indirectly depend on desktop-file-utils via liblxqt (Closes: #866899)
  * Remove alternative gksu, see #867236 "Unsuitable for release in buster"

 -- Alf Gaida <agaida@siduction.org>  Wed, 05 Jul 2017 02:25:34 +0200

lxqt-session (0.11.1-4) unstable; urgency=medium

  * Added pcmanfm-qt to Recommends - the session should recommend at least one
    application that is able to paint/manage the desktop.

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 16:01:48 +0200

lxqt-session (0.11.1-3) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Recommends: lxqt-qtplugin and lxqt-policykit
    (Closes: #866344) 
  * Added to Recommends: lxqt-config (Closes: #866346)
  * Added to Recommends: lxqt-powermanagement (Closes: #866651)
  * Added to Recommends: lxqt-sudo | gksu (Closes: #866650)
    One graphical sudo should be enough on a system - we leave out
    the ancient kdesudo for a reason.
  * Added to Recommends: qps and qlipper (Closes: #866648)

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Jun 2017 19:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,37 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
                xdg-user-dirs
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-session.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-session.git
 Homepage: https://github.com/lxde/lxqt-session
 
 Package: lxqt-session
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         lxqt-common,
+         lxqt-themes | lxqt-theme,
+         lxqt-qtplugin,
          x11-xkb-utils
 Recommends: lxqt-session-l10n,
+            lxqt-config,
+            lxqt-notificationd,
+            lxqt-policykit,
+            lxqt-powermanagement,
+            lxqt-sudo,
+            pcmanfm-qt,
+            qlipper,
+            qps [linux-any],
             xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
 Provides: x-session-manager
+Breaks: lxqt-common (<< 0.12.0)
+Replaces: lxqt-common (<< 0.12.0)
 Description: session manager component for LXQt
  LXQt is an advanced, easy-to-use, and fast desktop environment based on
  Qt technologies.  It has been tailored for users who value simplicity,

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF\
-		-DUPDATE_TRANSLATIONS=OFF\
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo\
+		-DPULL_TRANSLATIONS=OFF \
+		-DUPDATE_TRANSLATIONS=OFF \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CMAKE_ARGS)

## lxqt-session 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,8 +37,12 @@
 set(LXQT_SESSION_PATCH_VERSION 0)
 
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
-add_definitions("-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\"")
+add_definitions(
+    "-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Translations **********************************
@@ -57,6 +61,7 @@
     set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:${LXQT_DATA_DIR}")
 endif()
 set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
+set(PREDEF_XDG_CONFIG_DIRS "/etc:${LXQT_ETC_XDG_DIR}:/usr/share")
 configure_file(startlxqt.in startlxqt @ONLY)
 install(PROGRAMS
     "${CMAKE_CURRENT_BINARY_DIR}/startlxqt"

=== lxqt-config-session/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project(lxqt-config-session)
+set(LXQT_CONFIG_SESSION_PROJECT_NAME "lxqt-config-session")
 
 
 set(lxqt-sessioncfg_HDRS
@@ -48,7 +48,7 @@
         ${lxqt-sessioncfg_SRCS}
         ${lxqt-sessioncfg_UI_FILES}
     INSTALL_DIR
-        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+        "${LXQT_TRANSLATIONS_DIR}/${LXQT_CONFIG_SESSION_PROJECT_NAME}"
     PULL_TRANSLATIONS
         ${PULL_TRANSLATIONS}
     CLEAN_TRANSLATIONS
@@ -58,10 +58,10 @@
     TRANSLATIONS_REFSPEC
         ${TRANSLATIONS_REFSPEC}
     REPO_SUBDIR
-        "lxqt-session/${PROJECT_NAME}"
+        "lxqt-session/${LXQT_CONFIG_SESSION_PROJECT_NAME}"
 )
 
-lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${PROJECT_NAME})
+lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${LXQT_CONFIG_SESSION_PROJECT_NAME})
 lxqt_translate_desktop(lxqt-sessioncfg_DESKTOP_FILES SOURCES lxqt-config-session.desktop.in)
 
 add_executable(lxqt-config-session

=== lxqt-leave/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project(lxqt-leave)
+set(LXQT_LEAVE_PROJECT_NAME "lxqt-leave")
 
 set(CPP_FILES
     main.cpp
@@ -36,7 +36,7 @@
         ${UI_FILES}
         ${H_FILES}
     INSTALL_DIR
-        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+        "${LXQT_TRANSLATIONS_DIR}/${LXQT_LEAVE_PROJECT_NAME}"
     PULL_TRANSLATIONS
         ${PULL_TRANSLATIONS}
     CLEAN_TRANSLATIONS
@@ -46,10 +46,10 @@
     TRANSLATIONS_REFSPEC
         ${TRANSLATIONS_REFSPEC}
     REPO_SUBDIR
-        "lxqt-session/${PROJECT_NAME}"
+        "lxqt-session/${LXQT_LEAVE_PROJECT_NAME}"
 )
 
-lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${PROJECT_NAME})
+lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${LXQT_LEAVE_PROJECT_NAME})
 #************************************************

=== lxqt-session/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-project(lxqt-session)
+set(LXQT_SESSION_PROJECT_NAME "lxqt-session")
 
 if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
@@ -47,7 +46,7 @@
         ${lxqt-session_SRCS}
         ${lxqt-session_UI}
     INSTALL_DIR
-        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+        "${LXQT_TRANSLATIONS_DIR}/${LXQT_SESSION_PROJECT_NAME}"
     PULL_TRANSLATIONS
         ${PULL_TRANSLATIONS}
     CLEAN_TRANSLATIONS
@@ -57,9 +56,9 @@
     TRANSLATIONS_REFSPEC
         ${TRANSLATIONS_REFSPEC}
     REPO_SUBDIR
-        "lxqt-session/${PROJECT_NAME}"
+        "lxqt-session/${LXQT_SESSION_PROJECT_NAME}"
 )
-lxqt_app_translation_loader(lxqt-session_QM_LOADER ${PROJECT_NAME})
+lxqt_app_translation_loader(lxqt-session_QM_LOADER ${LXQT_SESSION_PROJECT_NAME})
 
 add_executable(lxqt-session
     ${lxqt-session_SRCS}

=== debian/changelog ===
lxqt-session (0.13.0-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:43:13 -0700

lxqt-session (0.13.0-3) unstable; urgency=medium

  * Fixed typo in patch description

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 19:32:29 +0200

lxqt-session (0.13.0-2) unstable; urgency=medium

  * Use x-window-manager as default WM (Closes: #900430)

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Jun 2018 11:00:23 +0200

lxqt-session (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Removed patches - applied upstream

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 23:56:43 +0200

lxqt-session (0.12.0-6) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: lxqt-session
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.12.0),
+               liblxqt0-dev (>= 0.13.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
                xdg-user-dirs
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-session.git
-Homepage: https://github.com/lxde/lxqt-session
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
+Homepage: https://github.com/lxqt/lxqt-session
 
 Package: lxqt-session
 Architecture: any

## lxqt-session 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-session)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -14,24 +18,22 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(WITH_LIBUDEV "Build with libudev support" ON)
 
+# Minimum Versions
+set(KF5_MINIMUM_VERSION "5.36.0")
+set(LXQT_MINIMUM_VERSION "0.14.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(X11 REQUIRED)
-
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5X11Extras REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
-
-find_package(KF5WindowSystem REQUIRED)
-
-find_package(lxqt REQUIRED)
 
 # Please don't move, must be after lxqt
 find_package(XdgUserDirs REQUIRED)
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
 
 # Patch Version
 set(LXQT_SESSION_PATCH_VERSION 0)
@@ -39,7 +41,10 @@
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
 add_definitions(
     "-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\""
-    "-DQT_NO_FOREACH"
+    "-DQT_NO_CAST_FROM_ASCII"
+    "-DQT_NO_CAST_TO_ASCII"
+    "-DQT_NO_URL_CAST_FROM_STRING"
+    "-DQT_NO_CAST_FROM_BYTEARRAY"
 )
 
 include(LXQtPreventInSourceBuilds)

=== debian/changelog ===
lxqt-session (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Removed 01-lxqt-session-x-window-manager.patch - we automagically search
    for a WM in the fixed WM list
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 19:26:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: lxqt-session
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.13.0~),
+               liblxqt0-dev (>= 0.14.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
                xdg-user-dirs
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
@@ -46,3 +45,14 @@
  LXQt also works fine with less powerful machines.
  .
  This package contain the session manager component.
+
+Package: lxqt-session-l10n
+Architecture: all
+Multi-Arch: foreign
+Section: localization
+Depends: ${misc:Depends},
+         qttranslations5-l10n
+Breaks: lxqt-session (<< 0.11.0)
+Replaces: lxqt-session (<< 0.11.0)
+Description: Language package for lxqt-session
+ This package contains the l10n files needed by the lxqt-session.
